<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.commobject="http://www.eclipse.org/papyrus/robotics/commobject/1" xmlns:robotics.services="http://www.eclipse.org/papyrus/robotics/services/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/commobject/1 http://www.eclipse.org/papyrus/robotics/1#//commobject http://www.eclipse.org/papyrus/robotics/services/1 http://www.eclipse.org/papyrus/robotics/1#//services">
  <uml:Model xmi:id="ID" name="rcl_interfaces">
    <packageImport xmi:id="_EmOxcYfCEeq98Oq_0FOmvA">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:id="_EmOxcofCEeq98Oq_0FOmvA">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_LaOOAJcvEeeV0-Lu2yLOjA"/>
    </packageImport>
    <packagedElement xmi:type="uml:Package" xmi:id="_EmOxc4fCEeq98Oq_0FOmvA" name="svcdefs">
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_FloatingPointRange" name="P_FloatingPointRange">
        <templateBinding xmi:id="_MGYwMofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_MGYwM4fCEeq98Oq_0FOmvA" actual="ID_msg_FloatingPointRange">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_IntegerRange" name="P_IntegerRange">
        <templateBinding xmi:id="_MM95UofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_MM95U4fCEeq98Oq_0FOmvA" actual="ID_msg_IntegerRange">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_IntraProcessMessage" name="P_IntraProcessMessage">
        <templateBinding xmi:id="_MTq-QofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_MTq-Q4fCEeq98Oq_0FOmvA" actual="ID_msg_IntraProcessMessage">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_ListParametersResult" name="P_ListParametersResult">
        <templateBinding xmi:id="_MaTxwofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_MaTxw4fCEeq98Oq_0FOmvA" actual="ID_msg_ListParametersResult">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_Log" name="P_Log">
        <templateBinding xmi:id="_MgfSQofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_MgfSQ4fCEeq98Oq_0FOmvA" actual="ID_msg_Log">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_Parameter" name="P_Parameter">
        <templateBinding xmi:id="_Mmi28ofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_Mmi284fCEeq98Oq_0FOmvA" actual="ID_msg_Parameter">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_ParameterDescriptor" name="P_ParameterDescriptor">
        <templateBinding xmi:id="_MsfG4ofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_MsfG44fCEeq98Oq_0FOmvA" actual="ID_msg_ParameterDescriptor">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_ParameterEvent" name="P_ParameterEvent">
        <templateBinding xmi:id="_MzOBAofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_MzOBA4fCEeq98Oq_0FOmvA" actual="ID_msg_ParameterEvent">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_ParameterEventDescriptors" name="P_ParameterEventDescriptors">
        <templateBinding xmi:id="_M5rOUofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_M5rOU4fCEeq98Oq_0FOmvA" actual="ID_msg_ParameterEventDescriptors">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_ParameterType" name="P_ParameterType">
        <templateBinding xmi:id="_M_388ofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_M_3884fCEeq98Oq_0FOmvA" actual="ID_msg_ParameterType">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_ParameterValue" name="P_ParameterValue">
        <templateBinding xmi:id="_NGpTUofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_NGpTU4fCEeq98Oq_0FOmvA" actual="ID_msg_ParameterValue">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_SetParametersResult" name="P_SetParametersResult">
        <templateBinding xmi:id="_NNMAMofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_NNMAM4fCEeq98Oq_0FOmvA" actual="ID_msg_SetParametersResult">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/Q_DescribeParameters" name="Q_DescribeParameters">
        <templateBinding xmi:id="_aq_CEIfCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_aq_CEYfCEeq98Oq_0FOmvA" actual="ID_srv_DescribeParametersReq">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwSanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <parameterSubstitution xmi:id="_aq_CEofCEeq98Oq_0FOmvA" actual="ID_srv_DescribeParametersRes">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwyanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwCanEeiurq-kTHMlgA"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/Q_GetParameterTypes" name="Q_GetParameterTypes">
        <templateBinding xmi:id="_axtVIYfCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_axtVIofCEeq98Oq_0FOmvA" actual="ID_srv_GetParameterTypesReq">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwSanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <parameterSubstitution xmi:id="_axtVI4fCEeq98Oq_0FOmvA" actual="ID_srv_GetParameterTypesRes">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwyanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwCanEeiurq-kTHMlgA"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/Q_GetParameters" name="Q_GetParameters">
        <templateBinding xmi:id="_a4Oz4YfCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_a4Oz4ofCEeq98Oq_0FOmvA" actual="ID_srv_GetParametersReq">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwSanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <parameterSubstitution xmi:id="_a4Oz44fCEeq98Oq_0FOmvA" actual="ID_srv_GetParametersRes">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwyanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwCanEeiurq-kTHMlgA"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/Q_ListParameters" name="Q_ListParameters">
        <templateBinding xmi:id="_a-3AUYfCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_a-3AUofCEeq98Oq_0FOmvA" actual="ID_srv_ListParametersReq">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwSanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <parameterSubstitution xmi:id="_a-3AU4fCEeq98Oq_0FOmvA" actual="ID_srv_ListParametersRes">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwyanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwCanEeiurq-kTHMlgA"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/Q_SetParameters" name="Q_SetParameters">
        <templateBinding xmi:id="_bFM44YfCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_bFM44ofCEeq98Oq_0FOmvA" actual="ID_srv_SetParametersReq">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwSanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <parameterSubstitution xmi:id="_bFM444fCEeq98Oq_0FOmvA" actual="ID_srv_SetParametersRes">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwyanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwCanEeiurq-kTHMlgA"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/Q_SetParametersAtomically" name="Q_SetParametersAtomically">
        <templateBinding xmi:id="_bLnC4YfCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_bLnC4ofCEeq98Oq_0FOmvA" actual="ID_srv_SetParametersAtomicallyReq">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwSanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <parameterSubstitution xmi:id="_bLnC44fCEeq98Oq_0FOmvA" actual="ID_srv_SetParametersAtomicallyRes">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwyanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwCanEeiurq-kTHMlgA"/>
        </templateBinding>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="ID_msg" name="msg">
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_FloatingPointRange" name="FloatingPointRange">
        <ownedAttribute xmi:id="_MFsMoIfCEeq98Oq_0FOmvA" name="from_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1zgq4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MFsMoYfCEeq98Oq_0FOmvA" name="to_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1zgq4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MFsMoofCEeq98Oq_0FOmvA" name="step">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1zgq4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_IntegerRange" name="IntegerRange">
        <ownedAttribute xmi:id="_MMWOQIfCEeq98Oq_0FOmvA" name="from_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJ58a4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MMWOQYfCEeq98Oq_0FOmvA" name="to_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJ58a4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MMWOQofCEeq98Oq_0FOmvA" name="step">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvKhAK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_IntraProcessMessage" name="IntraProcessMessage">
        <ownedAttribute xmi:id="_MTILsIfCEeq98Oq_0FOmvA" name="publisher_id">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvKhAK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MTILsYfCEeq98Oq_0FOmvA" name="message_sequence">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvKhAK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_ListParametersResult" name="ListParametersResult">
        <ownedAttribute xmi:id="_MZt74IfCEeq98Oq_0FOmvA" name="names">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_MZt74YfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_MZt74ofCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MZt744fCEeq98Oq_0FOmvA" name="prefixes">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_MZt75IfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_MZt75YfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_Log" name="Log">
        <ownedAttribute xmi:id="_Mf7RkIfCEeq98Oq_0FOmvA" name="DEBUG" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1McK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_Mf74oIfCEeq98Oq_0FOmvA" value="10">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1McK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Mf74oYfCEeq98Oq_0FOmvA" name="INFO" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1McK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_Mf74oofCEeq98Oq_0FOmvA" value="20">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1McK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Mf74o4fCEeq98Oq_0FOmvA" name="WARN" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1McK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_Mf74pIfCEeq98Oq_0FOmvA" value="30">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1McK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Mf74pYfCEeq98Oq_0FOmvA" name="ERROR" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1McK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_Mf74pofCEeq98Oq_0FOmvA" value="40">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1McK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Mf74p4fCEeq98Oq_0FOmvA" name="FATAL" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1McK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_Mf74qIfCEeq98Oq_0FOmvA" value="50">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1McK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Mf74qYfCEeq98Oq_0FOmvA" name="stamp">
          <type xmi:type="uml:DataType" href="builtin_interfaces.servicedef.uml#ID_msg_Time"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Mf74qofCEeq98Oq_0FOmvA" name="level">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Mf74q4fCEeq98Oq_0FOmvA" name="name">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Mf74rIfCEeq98Oq_0FOmvA" name="msg">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Mf8fsIfCEeq98Oq_0FOmvA" name="file">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Mf8fsYfCEeq98Oq_0FOmvA" name="function">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Mf8fsofCEeq98Oq_0FOmvA" name="line">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJ58K4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_Parameter" name="Parameter">
        <ownedAttribute xmi:id="_Ml9oIIfCEeq98Oq_0FOmvA" name="name">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_Ml9oIYfCEeq98Oq_0FOmvA" name="value" type="ID_msg_ParameterValue"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_ParameterDescriptor" name="ParameterDescriptor">
        <ownedAttribute xmi:id="_MrzKYIfCEeq98Oq_0FOmvA" name="name">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MrzKYYfCEeq98Oq_0FOmvA" name="type">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MrzKYofCEeq98Oq_0FOmvA" name="description">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MrzxcIfCEeq98Oq_0FOmvA" name="additional_constraints">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MrzxcYfCEeq98Oq_0FOmvA" name="read_only">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb0lYK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MrzxcofCEeq98Oq_0FOmvA" name="floating_point_range" isStatic="true" type="ID_msg_FloatingPointRange">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_Mrzxc4fCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_MrzxdIfCEeq98Oq_0FOmvA" value="1"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_MrzxdYfCEeq98Oq_0FOmvA" type="ID_msg_FloatingPointRange" value="1"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MrzxdofCEeq98Oq_0FOmvA" name="integer_range" isStatic="true" type="ID_msg_IntegerRange">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_Mrzxd4fCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_MrzxeIfCEeq98Oq_0FOmvA" value="1"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_MrzxeYfCEeq98Oq_0FOmvA" type="ID_msg_IntegerRange" value="1"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_ParameterEvent" name="ParameterEvent">
        <ownedAttribute xmi:id="_MymV8IfCEeq98Oq_0FOmvA" name="stamp">
          <type xmi:type="uml:DataType" href="builtin_interfaces.servicedef.uml#ID_msg_Time"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MymV8YfCEeq98Oq_0FOmvA" name="node">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MymV8ofCEeq98Oq_0FOmvA" name="new_parameters" type="ID_msg_Parameter">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_MymV84fCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_MymV9IfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MymV9YfCEeq98Oq_0FOmvA" name="changed_parameters" type="ID_msg_Parameter">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_MymV9ofCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_MymV94fCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_MymV-IfCEeq98Oq_0FOmvA" name="deleted_parameters" type="ID_msg_Parameter">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_MymV-YfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_MymV-ofCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_ParameterEventDescriptors" name="ParameterEventDescriptors">
        <ownedAttribute xmi:id="_M5Jp4IfCEeq98Oq_0FOmvA" name="new_parameters" type="ID_msg_ParameterDescriptor">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_M5Jp4YfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_M5Jp4ofCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_M5Jp44fCEeq98Oq_0FOmvA" name="changed_parameters" type="ID_msg_ParameterDescriptor">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_M5Jp5IfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_M5KQ8IfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_M5KQ8YfCEeq98Oq_0FOmvA" name="deleted_parameters" type="ID_msg_ParameterDescriptor">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_M5KQ8ofCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_M5KQ84fCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_ParameterType" name="ParameterType">
        <ownedAttribute xmi:id="_M_UjUIfCEeq98Oq_0FOmvA" name="PARAMETER_NOT_SET" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_M_UjUYfCEeq98Oq_0FOmvA">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_M_UjUofCEeq98Oq_0FOmvA" name="PARAMETER_BOOL" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_M_UjU4fCEeq98Oq_0FOmvA" value="1">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_M_UjVIfCEeq98Oq_0FOmvA" name="PARAMETER_INTEGER" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_M_UjVYfCEeq98Oq_0FOmvA" value="2">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_M_UjVofCEeq98Oq_0FOmvA" name="PARAMETER_DOUBLE" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_M_UjV4fCEeq98Oq_0FOmvA" value="3">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_M_VKYIfCEeq98Oq_0FOmvA" name="PARAMETER_STRING" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_M_VKYYfCEeq98Oq_0FOmvA" value="4">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_M_VKYofCEeq98Oq_0FOmvA" name="PARAMETER_BYTE_ARRAY" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_M_VKY4fCEeq98Oq_0FOmvA" value="5">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_M_VKZIfCEeq98Oq_0FOmvA" name="PARAMETER_BOOL_ARRAY" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_M_VKZYfCEeq98Oq_0FOmvA" value="6">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_M_VKZofCEeq98Oq_0FOmvA" name="PARAMETER_INTEGER_ARRAY" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_M_VKZ4fCEeq98Oq_0FOmvA" value="7">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_M_VKaIfCEeq98Oq_0FOmvA" name="PARAMETER_DOUBLE_ARRAY" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_M_VKaYfCEeq98Oq_0FOmvA" value="8">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_M_VKaofCEeq98Oq_0FOmvA" name="PARAMETER_STRING_ARRAY" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_M_VKa4fCEeq98Oq_0FOmvA" value="9">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_ParameterValue" name="ParameterValue">
        <ownedAttribute xmi:id="_NF_MAIfCEeq98Oq_0FOmvA" name="type">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_NF_MAYfCEeq98Oq_0FOmvA" name="bool_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb0lYK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_NF_zEIfCEeq98Oq_0FOmvA" name="integer_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJ58a4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_NF_zEYfCEeq98Oq_0FOmvA" name="double_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1zgq4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_NF_zEofCEeq98Oq_0FOmvA" name="string_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_NF_zE4fCEeq98Oq_0FOmvA" name="byte_array_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1McK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_NF_zFIfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_NF_zFYfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_NF_zFofCEeq98Oq_0FOmvA" name="bool_array_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb0lYK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_NF_zF4fCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_NF_zGIfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_NF_zGYfCEeq98Oq_0FOmvA" name="integer_array_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJ58a4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_NF_zGofCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_NF_zG4fCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_NF_zHIfCEeq98Oq_0FOmvA" name="double_array_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1zgq4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_NF_zHYfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_NF_zHofCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_NF_zH4fCEeq98Oq_0FOmvA" name="string_array_value">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_NF_zIIfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_NF_zIYfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_SetParametersResult" name="SetParametersResult">
        <ownedAttribute xmi:id="_NMnYcIfCEeq98Oq_0FOmvA" name="successful">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb0lYK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_NMn_gIfCEeq98Oq_0FOmvA" name="reason">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="ID_srv" name="srv">
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_DescribeParametersReq" name="DescribeParametersReq">
        <ownedAttribute xmi:id="_aqaaUIfCEeq98Oq_0FOmvA" name="names">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_aqaaUYfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_aqaaUofCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_DescribeParametersRes" name="DescribeParametersRes">
        <ownedAttribute xmi:id="_aqaaU4fCEeq98Oq_0FOmvA" name="descriptors" type="ID_msg_ParameterDescriptor">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_aqaaVIfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_aqaaVYfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_GetParameterTypesReq" name="GetParameterTypesReq">
        <ownedAttribute xmi:id="_axKikIfCEeq98Oq_0FOmvA" name="names">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_axKikYfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_axKikofCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_GetParameterTypesRes" name="GetParameterTypesRes">
        <ownedAttribute xmi:id="_axKik4fCEeq98Oq_0FOmvA" name="types">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb4PwK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_axKilIfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_axKilYfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_GetParametersReq" name="GetParametersReq">
        <ownedAttribute xmi:id="_a3qMIIfCEeq98Oq_0FOmvA" name="names">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_a3qMIYfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_a3qMIofCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_GetParametersRes" name="GetParametersRes">
        <ownedAttribute xmi:id="_a3qMI4fCEeq98Oq_0FOmvA" name="values" type="ID_msg_ParameterValue">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_a3qMJIfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_a3qMJYfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_ListParametersReq" name="ListParametersReq">
        <ownedAttribute xmi:id="_a-QjYIfCEeq98Oq_0FOmvA" name="DEPTH_RECURSIVE" isStatic="true">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvKhAK4QEemKGaIZu1xPYw"/>
          <defaultValue xmi:type="uml:LiteralInteger" xmi:id="_a-QjYYfCEeq98Oq_0FOmvA">
            <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvKhAK4QEemKGaIZu1xPYw"/>
          </defaultValue>
        </ownedAttribute>
        <ownedAttribute xmi:id="_a-QjYofCEeq98Oq_0FOmvA" name="prefixes">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_96bjEK4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_a-QjY4fCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_a-QjZIfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_a-QjZYfCEeq98Oq_0FOmvA" name="depth">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvKhAK4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_ListParametersRes" name="ListParametersRes">
        <ownedAttribute xmi:id="_a-QjZofCEeq98Oq_0FOmvA" name="result" type="ID_msg_ListParametersResult"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_SetParametersReq" name="SetParametersReq">
        <ownedAttribute xmi:id="_bEjYoIfCEeq98Oq_0FOmvA" name="parameters" type="ID_msg_Parameter">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_bEjYoYfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_bEjYoofCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_SetParametersRes" name="SetParametersRes">
        <ownedAttribute xmi:id="_bEjYo4fCEeq98Oq_0FOmvA" name="results" type="ID_msg_SetParametersResult">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_bEjYpIfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_bEjYpYfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_SetParametersAtomicallyReq" name="SetParametersAtomicallyReq">
        <ownedAttribute xmi:id="_bLCbIIfCEeq98Oq_0FOmvA" name="parameters" type="ID_msg_Parameter">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_bLDCMIfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_bLDCMYfCEeq98Oq_0FOmvA" value="*"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_SetParametersAtomicallyRes" name="SetParametersAtomicallyRes">
        <ownedAttribute xmi:id="_bLDCMofCEeq98Oq_0FOmvA" name="result" type="ID_msg_SetParametersResult"/>
      </packagedElement>
    </packagedElement>
    <profileApplication xmi:id="_EmOxdIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxdYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_EmOxdofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxd4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_EmOxeIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxeYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_EmOxeofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxe4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_EmOxfIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxfYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_EmOxfofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxf4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_EmOxgIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxgYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:id="_EmOxgofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxg4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:id="_EmOxhIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxhYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:id="_EmOxhofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxh4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
    <profileApplication xmi:id="_EmOxiIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxiYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs"/>
      </eAnnotations>
      <appliedProfile href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_U_GAoAPMEdyuUt-4qHuVvQ"/>
    </profileApplication>
    <profileApplication xmi:id="_EmOxiofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_EmOxi4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes"/>
      </eAnnotations>
      <appliedProfile href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_9FdqwA-MEdyLh7muGbCqMw"/>
    </profileApplication>
  </uml:Model>
  <robotics.services:ServiceDefinitionModel xmi:id="_EmOxjIfCEeq98Oq_0FOmvA" base_Package="ID"/>
  <robotics.commobject:CommunicationObject xmi:id="_EpT6oIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_FloatingPointRange"/>
  <robotics.commobject:CommunicationObject xmi:id="_EpVIwIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_IntegerRange"/>
  <robotics.commobject:CommunicationObject xmi:id="_EpWW4IfCEeq98Oq_0FOmvA" base_DataType="ID_msg_IntraProcessMessage"/>
  <robotics.commobject:CommunicationObject xmi:id="_EpXlAIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_ListParametersResult"/>
  <robotics.commobject:CommunicationObject xmi:id="_EpYzIIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_Log"/>
  <robotics.commobject:CommunicationObject xmi:id="_EpaBQIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_Parameter"/>
  <robotics.commobject:CommunicationObject xmi:id="_EpbPYIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_ParameterDescriptor"/>
  <robotics.commobject:CommunicationObject xmi:id="_EpcdgIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_ParameterEvent"/>
  <robotics.commobject:CommunicationObject xmi:id="_EpdroIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_ParameterEventDescriptors"/>
  <robotics.commobject:CommunicationObject xmi:id="_Epe5wIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_ParameterType"/>
  <robotics.commobject:CommunicationObject xmi:id="_Epgu8IfCEeq98Oq_0FOmvA" base_DataType="ID_msg_ParameterValue"/>
  <robotics.commobject:CommunicationObject xmi:id="_Eph9EIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_SetParametersResult"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWGvMIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_DescribeParametersReq"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWHWQIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_DescribeParametersRes"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWIkYIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_GetParameterTypesReq"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWJygIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_GetParameterTypesRes"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWLAoIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_GetParametersReq"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWMOwIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_GetParametersRes"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWNc4IfCEeq98Oq_0FOmvA" base_DataType="ID_srv_ListParametersReq"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWOD8IfCEeq98Oq_0FOmvA" base_DataType="ID_srv_ListParametersRes"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWPSEIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_SetParametersReq"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWQgMIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_SetParametersRes"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWRuUIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_SetParametersAtomicallyReq"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWSVYIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_SetParametersAtomicallyRes"/>
  <robotics.services:ServiceDefinition xmi:id="_MGbMcIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_FloatingPointRange"/>
  <robotics.services:ServiceDefinition xmi:id="_MM_HcIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_IntegerRange"/>
  <robotics.services:ServiceDefinition xmi:id="_MTsMYIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_IntraProcessMessage"/>
  <robotics.services:ServiceDefinition xmi:id="_MaU_4IfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_ListParametersResult"/>
  <robotics.services:ServiceDefinition xmi:id="_MgggYIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_Log"/>
  <robotics.services:ServiceDefinition xmi:id="_MmkFEIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_Parameter"/>
  <robotics.services:ServiceDefinition xmi:id="_Msg8EIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_ParameterDescriptor"/>
  <robotics.services:ServiceDefinition xmi:id="_MzPPIIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_ParameterEvent"/>
  <robotics.services:ServiceDefinition xmi:id="_M5sccIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_ParameterEventDescriptors"/>
  <robotics.services:ServiceDefinition xmi:id="_M_4kAIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_ParameterType"/>
  <robotics.services:ServiceDefinition xmi:id="_NGqhcIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_ParameterValue"/>
  <robotics.services:ServiceDefinition xmi:id="_NNNOUIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_SetParametersResult"/>
  <robotics.services:ServiceDefinition xmi:id="_arAQMIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/Q_DescribeParameters"/>
  <robotics.services:ServiceDefinition xmi:id="_axujQIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/Q_GetParameterTypes"/>
  <robotics.services:ServiceDefinition xmi:id="_a4QCAIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/Q_GetParameters"/>
  <robotics.services:ServiceDefinition xmi:id="_a-4OcIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/Q_ListParameters"/>
  <robotics.services:ServiceDefinition xmi:id="_bFOHAIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/Q_SetParameters"/>
  <robotics.services:ServiceDefinition xmi:id="_bLpfIIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/Q_SetParametersAtomically"/>
</xmi:XMI>
